

<mat-sidenav-container fullscreen>
    
    <mat-sidenav #sidenav mode="push">
        
        <mat-toolbar color="primary">
            <span>Menú</span>
            <span class="spacer"></span>
            <button mat-icon-button
                    (click)="sidenav.toggle()">
                <mat-icon>menu</mat-icon>
            </button>
            
        </mat-toolbar>

        <mat-nav-list>
            <a routerLink="./list"
               mat-list-item
               (click)="sidenav.toggle()">
                <mat-icon mat-list-icon>label</mat-icon>
                <span>Listado de Héroes</span>
            </a>

            <a routerLink="./add"
               mat-list-item
               (click)="sidenav.toggle()">
                <mat-icon mat-list-icon>add</mat-icon>
                <span>Añadir Héroe</span>
            </a>

            <a routerLink="./search"
               mat-list-item
               (click)="sidenav.toggle()">
                <mat-icon mat-list-icon>search</mat-icon>
                <span>Búscar Héroe</span>
            </a>
            
        </mat-nav-list>
        
    </mat-sidenav>

    <mat-toolbar>
        <button mat-icon-button
                (click)="sidenav.toggle()">
            <mat-icon>menu</mat-icon>
        </button>

        <span class="spacer"></span>
        <span>{{ auth.usuario }}</span>
        <button mat-button (click)="logout()">
            Logout
        </button>
    </mat-toolbar>


    <div class="container">
        <router-outlet></router-outlet>
    </div>

</mat-sidenav-container>